import React, { useState, ChangeEvent, MouseEvent } from "react";
import { Card, Button, TextField } from "@mui/material"
import "@scss/login.scss"

export default function Login() {
    const [email, setEmail] = useState("");
    const [password, setPassword] = useState("");

    function hash(s: string){
        return s;
    }

    function handleEmail(e: ChangeEvent<HTMLInputElement>){
        setEmail(e.target.value);
        console.log(email);
    }

    function handlePassword(e: ChangeEvent<HTMLInputElement>){
        setPassword(e.target.value);
        console.log(hash(password));
    }

    function buttonSubmit(e: MouseEvent<HTMLButtonElement>){
        e.preventDefault();
        console.log(`Sumbitting username "${email}" and password "${hash(password)}"`)
    }

    return (
        <main id="root">
            <Card className="card">
                <h3>Login</h3>
                <TextField className="textfield" id="email" label="Email" value={email} onChange={handleEmail} />
                <TextField className="textfield" id="password" label="Password" type="password" value={password} onChange={handlePassword}/>
                <Button id="submit" variant="contained" onClick={buttonSubmit}>Login</Button>
                <p>Forgot your <a href="/">password</a>?</p>
            </Card>
        </main>
    )
}
